Bug 240766 - editors/hte: clang 9 crashes during build
Summary: editors/hte: clang 9 crashes during build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rene Ladan
URL:
Keywords: needs-qa
Depends on:
Blocks: 240629
  Show dependency treegraph
 
Reported: 2019-09-23 11:28 UTC by Jan Beich
Modified: 2019-10-02 15:33 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (rene)


Attachments
command line args (for clang 9) (2.98 KB, application/x-shellscript)
2019-09-23 11:28 UTC, Jan Beich
no flags Details
htneent.cc (preprocessed, compressed) (101.58 KB, application/x-xz)
2019-09-23 11:30 UTC, Jan Beich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2019-09-23 11:28:24 UTC
Created attachment 207738 [details]
command line args (for clang 9)

$ poudriere jail -cj head-amd64 -a amd64 -v projects/clang900-import -m svn+https
$ poudriere testport -j head-amd64 editors/hte
[...]
c++ -DHAVE_CONFIG_H -I.   -I./analyser -I./asm -I./info -I./io/posix -I./io -I./output -I./eval -I. -isystem /usr/local/include  -DNOMACROS -pipe -O3 -fomit-frame-pointer -Wall -fsigned-char -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64  -std=c++14 -Woverloaded-virtual -Wnon-virtual-dtor -O2 -pipe -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing  -isystem /usr/local/include  -MT htneent.o -MD -MP -MF .deps/htneent.Tpo -c -o htneent.o htneent.cc
Assertion failed: (E->isNonOdrUse() != NOUR_Unevaluated && "should not emit an unevaluated operand"), function EmitDeclRefLValue, file /poudriere/jails/head-amd64/usr/src/contrib/llvm/tools/clang/lib/CodeGen/CGExpr.cpp, line 2518.
Stack dump:
0.      Program arguments: /usr/bin/cpp -cc1 -triple x86_64-unknown-freebsd13.0 -emit-obj -disable-free -main-file-name htneent.cc -mrelocation-model static -mthread-model posix -relaxed-aliasing -masm-verbose -mconstructor-aliases -munwind-tables -fuse-init-array -target-cpu x86-64 -dwarf-column-info -debugger-tuning=gdb -coverage-notes-file /wrkdirs/usr/ports/editors/hte/work/ht-e9e63373148da5d7df397d8075740d8c096ecb1d/htneent.gcno -resource-dir /usr/lib/clang/9.0.0 -dependency-file .deps/htneent.Tpo -sys-header-deps -MP -MT htneent.o -isystem /usr/local/include -isystem /usr/local/include -isystem /usr/local/include -D HAVE_CONFIG_H -I . -I ./analyser -I ./asm -I ./info -I ./io/posix -I ./io -I ./output -I ./eval -I . -D NOMACROS -D _LARGEFILE_SOURCE -D _FILE_OFFSET_BITS=64 -internal-isystem /usr/include/c++/v1 -O2 -Wall -Woverloaded-virtual -Wnon-virtual-dtor -std=c++14 -fdeprecated-macro -fdebug-compilation-dir /wrkdirs/usr/ports/editors/hte/work/ht-e9e63373148da5d7df397d8075740d8c096ecb1d -ferror-limit 19 -fmessage-length 114 -stack-protector 2 -fobjc-runtime=gnustep -fcxx-exceptions -fexceptions -fdiagnostics-show-option -fcolor-diagnostics -vectorize-loops -vectorize-slp -faddrsig -o htneent.o -x c++ htneent.cc
1.      <eof> parser at end of file
2.      Per-file LLVM IR generation
3.      htneent.cc:40:17: Generating code for declaration 'htneentrypoints_init'
#0 0x000000000393d1de PrintStackTrace /poudriere/jails/head-amd64/usr/src/contrib/llvm/lib/Support/Unix/Signals.inc:533:13
#1 0x000000000393b3d5 RunSignalHandlers /poudriere/jails/head-amd64/usr/src/contrib/llvm/lib/Support/Signals.cpp:69:18
#2 0x000000000393db62 SignalHandler /poudriere/jails/head-amd64/usr/src/contrib/llvm/lib/Support/Unix/Signals.inc:0:3
#3 0x0000000004a17d40 handle_signal /poudriere/jails/head-amd64/usr/src/lib/libthr/thread/thr_sig.c:0:3
cpp: error: unable to execute command: Abort trap
cpp: error: clang frontend command failed due to signal (use -v to see invocation)
FreeBSD clang version 9.0.0 (tags/RELEASE_900/final 372316) (based on LLVM 9.0.0)
Target: x86_64-unknown-freebsd13.0
Thread model: posix
InstalledDir: /usr/bin

http://package18.nyi.freebsd.org/data/headamd64PR240629-default/2019-09-21_22h04m49s/logs/errors/hte-2.1.1.g20161206_3.log
http://pb2.nyi.freebsd.org/data/headi386PR240629-default/2019-09-21_22h04m40s/logs/errors/hte-2.1.1.g20161206_3.log
Comment 1 Jan Beich freebsd_committer 2019-09-23 11:30:04 UTC
Created attachment 207739 [details]
htneent.cc (preprocessed, compressed)
Comment 2 commit-hook freebsd_committer 2019-10-02 15:30:32 UTC
A commit references this bug:

Author: rene
Date: Wed Oct  2 15:29:58 UTC 2019
New revision: 513583
URL: https://svnweb.freebsd.org/changeset/ports/513583

Log:
  editors/the: fix build against the clang900-import branch by handholding the compiler.

  PR:		240766
  Submitted by:	jbeich
  MFH:		2019Q4

Changes:
  head/editors/hte/files/
  head/editors/hte/files/patch-htneent.cc
Comment 3 commit-hook freebsd_committer 2019-10-02 15:33:34 UTC
A commit references this bug:

Author: rene
Date: Wed Oct  2 15:32:46 UTC 2019
New revision: 513586
URL: https://svnweb.freebsd.org/changeset/ports/513586

Log:
  MFH: r513583

  editors/the: fix build against the clang900-import branch by handholding the compiler.

  PR:		240766
  Submitted by:	jbeich

  Approved by:	portmgr (implicit)

Changes:
_U  branches/2019Q4/
  branches/2019Q4/editors/hte/files/